Colt 1.2.0

## cern.jet.math
Class PlusMult

    java.lang.Object
      cern.jet.math.PlusMult

All Implemented Interfaces:
  DoubleDoubleFunction

    public final class PlusMult

extends Object
implements DoubleDoubleFunction

Only for performance tuning of compute intensive linear algebraic computations. Constructs functions that return one of

- `a + b*constant`
- `a - b*constant`
- `a + b/constant`
- `a - b/constant`

`a` and `b` are variables, `constant` is fixed, but for performance reasons publicly accessible. Intended to be passed to `matrix.assign(otherMatrix,function)` methods.

Field Summary
`double` `multiplicator` Public read/write access to avoid frequent object construction.

Method Summary
`double` `apply(double a, double b)` Returns the result of the function evaluation.
`static PlusMult` `minusDiv(double constant)` `a - b/constant`.
`static PlusMult` `minusMult(double constant)` `a - b*constant`.
`static PlusMult` `plusDiv(double constant)` `a + b/constant`.
`static PlusMult` `plusMult(double constant)` `a + b*constant`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### multiplicator

    public double multiplicator

  Public read/write access to avoid frequent object construction.

Method Detail

### apply

    public final double apply(double a,
                              double b)

  Returns the result of the function evaluation.

  Specified by:
    `apply` in interface `DoubleDoubleFunction`
  Parameters:
    `a` - the first argument passed to the function.
    `b` - the second argument passed to the function.
  Returns:
    the result of the function.

### minusDiv

    public static PlusMult minusDiv(double constant)

  `a - b/constant`.

### minusMult

    public static PlusMult minusMult(double constant)

  `a - b*constant`.

### plusDiv

    public static PlusMult plusDiv(double constant)

  `a + b/constant`.

### plusMult

    public static PlusMult plusMult(double constant)

  `a + b*constant`.

Colt 1.2.0

Jump to the Colt Homepage